Public Support - Support Request #1255

Correct service & runlevel order in ADTF 3
2017-10-11 11:06 - hidden

Status: Closed

Priority: Normal

Category:

Customer: BOSCH Product Issue https://www.cip.audi.de/jira/browse/ACO
Numbers: RE-9167

Department: AEV Affected Products: ADTF 3.1.0, ADTF Device Toolbox 3.0.0

(BETA)

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::Common

Resolution: Known Problem FAQ Links:

Description

Supportanfrage:

In einem Gesprach mit Bosch kam gerade folgendes Thema auf.
Ein Stolperstein, der gerne auftritt ist, dass Services nicht in der korrekten Reihenfolge/Runlevel dem Projekt
hinzugefiigt werden. Wodurch das Projekt erstmal nicht lauffahig ist.

Im Moment ist viel Metawissen erforderlich um die korrekte Reihenfolge/Runlevel einzustellen.

Ist hier etwas angedacht um den Workflow noch klarer zu gestalten
oder dass z.B. ein Service selbst sein korrektes Runlevel, bereits beim hinzugfigen, wahlt?

Ebenso ein Anliegen wére - Services welche essentiell fiir den Betrieb von ADTF sind (kernel, clock_synchronisation,
reference_clock) - gleich beim Erstellen einer neuen Konfiguration einzubinden.

Viele GriBe
Anian

Lésung:
In ADTF 3.2 werden die Services die wir mit ausliefern automatisch anhand der Filter/Sinks & Sources geladen, wenn du diese aus

dem ComponentTree in deine Config ziehst.
Auch die Einstellungen der Runlevel der Services wird dabei vorgenommen.

History

#1 - 2017-10-12 09:14 - hidden
- Project changed from Public Support to 11
- Topic set to ADTF::Common

#2 - 2017-10-12 09:16 - hidden
- Project changed from 11 to 5
- Author changed from hidden to hidden

#3 - 2017-10-13 15:03 - hidden

- Project changed from 5to 11

- Status changed from New to Customer Feedback Required
- Author changed from hidden to hidden

- Resolution set to Solved Issue

Hallo Anian,

in ADTF 3.2 werden die Services die wir mit ausliefern automatisch anhand der Filter/Sinks & Sources geladen, wenn du diese aus dem
ComponentTree in deine Config ziehst.
Auch die Einstellungen der Runlevel der Services wird dabei vorgenommen.

#4 - 2017-10-13 16:50 - hidden

Vielen Dank fur die Antwort.
Ich hab das so weitergegeben.

Das Ticket kann geschlossen werden.

#5 - 2017-10-13 17:30 - hidden

- Project changed from 11 to Public Support

- Subject changed from ADTF3 Services to Correct service & runlevel order in ADTF 3
- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Platform Windows 7 64bit added

@Florian, Ticket kann geschlossen werden. Fir alle interessant -> Public

#6 - 2017-10-17 14:38 - hidden
- Status changed from To Be Closed to Closed
- Resolution changed from Solved Issue to Known Problem

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9167

#7 - 2018-03-07 15:50 - hidden
- Department changed from CC-DA/ESI to AEV
